Skip to main content
You are viewing v3 of the Coralogix API. v5 is the current version. Go to the v5 reference

Get Slo

GEThttps://api.coralogix.com/mgmt/openapi/3/v1/slo/slos/{id}

No description available

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    id# stringrequired

Response

application/json

Response containing the details of a specific SLO.

    slo#objectrequired

    Definition of an SLO

    oneOf
    slo.createTime#date-time
    slo.creator#string
    slo.description#string
    Example: A brief description of my SLO

    Definition of the SLO grouping fields

    slo.id#string
    Example: b11919d5-ef85-4bb1-8655-02640dbe94d9
    slo.name#stringrequired
    Example: Example Slo Name

    Definition of a request-based SLI based on metrics

    The revision of the slo, used to differentiate between different versions of the same SLO

    slo.sloTimeFrame#SloTimeFrame

    Possible values: [SLO_TIME_FRAME_UNSPECIFIED, SLO_TIME_FRAME_7_DAYS, SLO_TIME_FRAME_14_DAYS, SLO_TIME_FRAME_21_DAYS, SLO_TIME_FRAME_28_DAYS]

    slo.targetThresholdPercentage#floatrequired
    Example: 99.999
    slo.type#string
    Example: request
    slo.updateTime#date-time